ps.options {grDevices} | R Documentation

## Auxiliary Function to Set/View Defaults for Arguments of postscript

### Description

The auxiliary function `ps.options` can be used to set or view (if called without arguments) the default values for some of the arguments to `postscript`.

`ps.options` needs to be called before calling `postscript`, and the default values it sets can be overridden by supplying arguments to `postscript`.

### Usage

    ps.options(..., reset = FALSE, override.check = FALSE)

    setEPS()
    setPS()

### Arguments

`...` | arguments `onefile`, `family`, `title`, `fonts`, `encoding`, `bg`, `fg`, `width`, `height`, `horizontal`, `pointsize`, `paper`, `pagecentre`, `print.it`, `command` and `colormodel` can be supplied.
`reset` | logical: should the defaults be reset to their ‘factory-fresh’ values?
`override.check` | logical argument passed to `check.options`. See the Examples.

### Details

If both `reset = TRUE` and `...` are supplied the defaults are first reset to the ‘factory-fresh’ values and then the new values are applied.

For backwards compatibility argument `append` is accepted but ignored with a warning.

`setEPS` and `setPS` are wrappers to set defaults appropriate for figures for inclusion in documents (the default size is 7 inches square) and for spooling to a PostScript printer respectively. For historical reasons the latter is the ultimate default.

### Value

A named list of all the previous defaults. If `...` or `reset = TRUE` is supplied the result has the visibility flag turned off.

### See Also

`postscript`, `pdf.options`

### Examples

    ps.options(bg = "pink")
    utils::str(ps.options())

    ### ---- error checking of arguments: ----
    ps.options(width=0:12, onefile=0, bg=pi)
    # override the check for 'width', but not 'bg':
    ps.options(width=0:12, bg=pi, override.check = c(TRUE,FALSE))
    utils::str(ps.options())
    ps.options(reset = TRUE) # back to factory-fresh

[Package grDevices version 2.7.1 Index]